com.amazon.redshift.util

## Class DriverInfo

- java.lang.Object
- - com.amazon.redshift.util.DriverInfo

    public final class DriverInfo
    extends Object

Utility class with constants of Driver information.

### Field Summary

Fields
`static String` `DRIVER_FULL_NAME`
`static String` `DRIVER_NAME`
`static String` `DRIVER_SHORT_NAME`
`static String` `DRIVER_VERSION`
`static int` `JDBC_MAJOR_VERSION`
`static int` `JDBC_MINOR_VERSION`
`static String` `JDBC_VERSION`
`static int` `MAJOR_VERSION`
`static int` `MINOR_VERSION`
`static int` `PATCH_VERSION`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DRIVER_NAME

    public static final String DRIVER_NAME

See Also:
  Constant Field Values

#### DRIVER_SHORT_NAME

    public static final String DRIVER_SHORT_NAME

See Also:
  Constant Field Values

#### DRIVER_VERSION

    public static final String DRIVER_VERSION

#### DRIVER_FULL_NAME

    public static final String DRIVER_FULL_NAME

#### MAJOR_VERSION

    public static final int MAJOR_VERSION

#### MINOR_VERSION

    public static final int MINOR_VERSION

#### PATCH_VERSION

    public static final int PATCH_VERSION

#### JDBC_VERSION

    public static final String JDBC_VERSION

See Also:
  Constant Field Values

#### JDBC_MAJOR_VERSION

    public static final int JDBC_MAJOR_VERSION

See Also:
  Constant Field Values

#### JDBC_MINOR_VERSION

    public static final int JDBC_MINOR_VERSION

See Also:
  Constant Field Values